# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'simple_sync/version'
require 'bundler'

Gem::Specification.new do |spec|
  spec.name          = "simple_sync"
  spec.version       = SimpleSync::VERSION
  spec.authors       = ["Nathan Claburn"]
  spec.email         = ["nathan.claburn@1st-edge.com"]
  spec.summary       = %q{A simple library for synching a given list of source files/directories to a specified output directory.}
  spec.description   = %q{A library for synching a given list of source files/directories to a specified output directory. The library wraps a call to rsync, which provide synchronization capabilities.}
  spec.homepage      = "http://github.com/nclaburn/simple_sync"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~>10"
  spec.add_development_dependency "pry", "~>0.9"
  spec.add_development_dependency "pry-nav", "~>0.2"
  spec.add_development_dependency "autotest-standalone", "~>4.4"

  Bundler.require(:default, :development)
end
